List company list folders
curl --request GET \
--url https://openapi.enginy.ai/v1/folders/companies \
--header 'x-api-key: <api-key>'import requests
url = "https://openapi.enginy.ai/v1/folders/companies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://openapi.enginy.ai/v1/folders/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": [
{
"id": 123,
"name": "<string>",
"parentId": 123,
"type": "CONTACTS",
"appUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"listsCount": 123,
"subfoldersCount": 123,
"totalSubfoldersCount": 123,
"totalListsCount": 123
}
]
}Lists
List company list folders
List company list folders. By default this returns only root folders. Use includeChildren=true to return nested folders too.
Responses include direct Enginy app URLs when available. Each returned folder includes an appUrl field. MCP agents should return those URLs to users whenever they are present in the response.
Required scope:
LISTS_READRate limit: 100 requests per minute
GET
/
v1
/
folders
/
companies
List company list folders
Authorizations
Query Parameters
When true, includes nested folders instead of only root folders.
Available options:
true, false When true, includes recursive subfolder and list counts.
Available options:
true, false